aboutsummaryrefslogtreecommitdiff
path: root/network/hipchat2/hipchat2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/hipchat2/hipchat2.SlackBuild')
-rw-r--r--network/hipchat2/hipchat2.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/network/hipchat2/hipchat2.SlackBuild b/network/hipchat2/hipchat2.SlackBuild
new file mode 100644
index 000000000000..b218763b7178
--- /dev/null
+++ b/network/hipchat2/hipchat2.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012, 2013 Eric Hameleers, Eindhoven, Netherlands
+# Slackware build script for hipchat2
+# Written by Lionel Young <lionelyoung@gmail.com>
+# Based on http://slackbuilds.org/template.SlackBuild
+# Maintained by Ryan P.C. McQuen <ryanpcmcquen@member.fsf.org> 2014-2017
+
+# Alan Dingeldein | Canyon Lake, TX | kd5zex@gmail.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=hipchat2
+VERSION=${VERSION:-2.2.1388}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=hipchat
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i686 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+tar xvf $CWD/$SRCNAM-$VERSION-$ARCH.pkg.tar.xz -C $PKG
+chown -R root:root $PKG
+
+# Create missing symlink for cert
+mkdir -p $PKG/etc/ssl/certs
+ln -s DigiCert_High_Assurance_EV_Root_CA.pem $PKG/etc/ssl/certs/81b9768f.0
+
+# Fix permissions on libraries
+find $PKG -name "*\.so*" -type f -exec chmod 0755 {} \;
+
+# Remove some cruft
+rm -f $PKG/.PKGINFO
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}